Bug 59239 - FILESAVE: Automatic file name extension is never enabled on Save As
Summary: FILESAVE: Automatic file name extension is never enabled on Save As
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 11:59 UTC by E Ridderby
Modified: 2013-01-13 12:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description E Ridderby 2013-01-11 11:59:32 UTC
Problem description: 

Steps to reproduce:
1. Create a new document or spread sheet.
2. Edit some
3. Click save icon or "Save As"


Current behavior:

In the Save As dialogue, the box for "Automatically select file name extension" is not checked. If manually checked it is not remembered till next time. 


Expected behavior:

Either the "Automatically select file name extension" shall be checked by default (probably) OR it shall at least remember if checked last time. 

This applies to Export as PDF as well, where the documents (.odt) extension is reused for the PDF file. 

Can't remember I use to have this problem.

My environment is Gentoo Linux 64 bit using KDE. The dialogue used is the KDE/Qt Save As dialogue which is also the KDE default one. 

              
Operating System: Linux (Other)
Version: 3.6.4.3 release
Comment 1 m.a.riosv 2013-01-11 21:14:10 UTC
Hi  E Ridderby, thanks for reporting,

Have you try resetting the user profile?, some times solve strange issues.
https://wiki.documentfoundation.org/UserProfile
Comment 2 E Ridderby 2013-01-12 09:34:30 UTC
Hi mariosv ,


I have now tested to remove everything under ~/.config/libreoffice.

Now I have a slighly different behaviour: the add extension is remembered but the extension is never added. 

This is what happends:

1. Open Writer
   (The document name in the header is "Untiteld 1" without extension)
2. Write some. 
3. Click Save ICON
4. The Save As dialouge appears with the "Automatically select file name extension" checked
5. The file is saved as "Untiteld 1" without extension. 


BR
Erik
Comment 3 m.a.riosv 2013-01-12 18:10:41 UTC
Hi E Ridderby,

I can not reproduce your issue.
Can you the extension for all other files, this is an option in the operating system, hide extension for known file types.
Comment 4 E Ridderby 2013-01-12 20:09:51 UTC
In Linux I actually think it is up to each application to show extension or not, but I have them enabled (visible in Dolphin). 

I guess you are not trying to reproduce the error on a Gentoo Linux so I can try to see if this is related to my setup or gentoo in general. 


BR
Erik
Comment 5 E Ridderby 2013-01-13 07:50:55 UTC
After rebuilding (i.e. reinstall in Gentoo implies rebuild from source code) libreoffice things works as supposed.

Sorry if I have caused any trouble and thanks for the effort you put in fault finding. I think this bug can be closed. 

BR
Erik
Comment 6 E Ridderby 2013-01-13 07:58:56 UTC
A note for other gentoo users in case they experience similar problems: revdep-rebuild did not find any broken library dependencies. Rebuilding libreoffice still solved this issue.
Comment 7 m.a.riosv 2013-01-13 12:31:29 UTC
Thanks for you effort into find a solution,
please if you are agree change the status to RESOLVED NOTOURBUG.